--- old/usr/src/uts/common/io/ib/ibtl/ibtl_cm.c	Sun Jun 11 17:03:49 2017
+++ new/usr/src/uts/common/io/ib/ibtl/ibtl_cm.c	Sun Jun 11 17:03:49 2017
@@ -84,10 +84,8 @@
 	IBTF_DPRINTF_L3(ibtf_cm, "ibtl_cm_get_chan_private(%p)", chan);
 	mutex_enter(&chan->ch_cm_mutex);
 	cm_private = chan->ch_cm_private;
-#ifndef __lock_lint
 	/* IBCM will call the release function if cm_private is non-NULL */
 	if (cm_private == NULL)
-#endif
 		mutex_exit(&chan->ch_cm_mutex);
 	return (cm_private);
 }
@@ -95,9 +93,7 @@
 void
 ibtl_cm_release_chan_private(ibt_channel_hdl_t chan)
 {
-#ifndef __lock_lint
 	mutex_exit(&chan->ch_cm_mutex);
-#endif
 }
 
 void
@@ -510,8 +506,6 @@
 
 	p_listp = *port_list_p;
 
-	_NOTE(NO_COMPETING_THREADS_NOW)
-
 	for (i = 0; i < count - 1; i++) {
 		for (j = 0; j < count - 1 - i; j++) {
 			if (p_listp[j].p_hca_guid != p_listp[j+1].p_hca_guid) {
@@ -576,10 +570,6 @@
 		}
 	}
 
-#ifndef lint
-	_NOTE(COMPETING_THREADS_NOW)
-#endif
-
 	IBTF_DPRINTF_L3(ibtf_cm, "ibtl_cm_get_active_plist: "
 	    "Returned <%d> entries @0x%p", count, *port_list_p);
 
@@ -595,10 +585,7 @@
 	IBTF_DPRINTF_L3(ibtf_cm, "ibtl_cm_free_active_plist(%p)", plist);
 
 	if (plist != NULL) {
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*plist))
 		count = plist->p_count;
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*plist))
-
 		kmem_free(plist, count * sizeof (ibtl_cm_port_list_t));
 	}
 }
